Skip to main content

Get an invoice by ID

GEThttps://api.propexo.com/v1/invoices/:invoice_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

invoice_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the invoice

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 300014648
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: propexo1
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    MethodInterface
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: a010899
    x_financial_account_idnullrequired

    The external ID of the financial account from the integration vendor

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 11100000
    x_ap_financial_account_idstring | nullnullablerequired

    The external ID of the AP financial account from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 22000000
    amount_due_in_centsnullrequired

    The amount due on the invoice, in cents

    Notice

    This field will always be null for YARDI_REST

    Example: null
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid on the invoice, in cents

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 50000
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    MethodInterface
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 2024-10-05T00:00:00.000Z
    discount_amount_in_centsnullrequired

    The deposit amount in cents associated with the invoice

    Notice

    This field will always be null for YARDI_REST

    Example: null
    discount_datestring | nullnullablerequired

    The date a discount was issued on invoice

    MethodInterface
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 2024-09-05T00:00:00.000Z
    invoice_datestring | nullnullablerequired

    The date the invoice was issued

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 2014-09-05T00:00:00.000Z
    invoice_numberstring | nullnullablerequired

    The reference number for the invoice

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cp14648
    notesstring | nullnullablerequired

    Notes associated with the invoice

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: Move out refund
    post_datenullrequired

    The date the invoice was posted. Some PMS systems only show the month.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    post_monthstring | nullnullablerequired

    The month the invoice was posted.

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 2015-04-01T00:00:00.000Z
    post_status_rawnullrequired

    The raw post status associated with the invoice

    Notice

    This field will always be null for YARDI_REST

    Example: null
    sub_total_amount_in_centsnullrequired

    The sub total amount of the invoice

    Notice

    This field will always be null for YARDI_REST

    Example: null
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice, in cents

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 87500
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for YARDI_REST

    Example: null
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cmhavc6z669743697761kvjgrutkpgq9
    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cm4xr2ab112938475629nwqklmvbpyzj
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    invoice_items object[]required

    The invoice list items associated with the invoice

  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: propexo1
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 22700000
    x_cash_financial_account_idstring | nullnullablerequired

    The external ID of the cash financial account from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 11100000
    invoice_idstringrequired

    The Propexo unique identifier for the invoice

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cm7j8pg9833257334651idtqhw61p5zy
    construction_job_idnullrequired

    The Propexo unique identifier for the construction job

    Notice

    This field will always be null for YARDI_REST

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice item, in cents

    Notice

    This field will always be null for YARDI_REST

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the invoice item

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: A string of data about the invoice, generally added by the PMC
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice item, in cents

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: 80000
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cmhavc6z669743697761kvjgrutkpgq9
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    MethodInterface
    /ItfResidentTransactions/GetPayablesResident Transactions
    /ItfVendorInvoicing/GetPayablesVendor Invoicing
    Example: cm4xr2ab112938475629nwqklmvbpyzj
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/invoices/:invoice_id
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "300014648",
"x_property_id": "propexo1",
"x_location_id": null,
"x_vendor_id": "a010899",
"x_financial_account_id": null,
"x_cash_financial_account_id": "11100000",
"x_ap_financial_account_id": "22000000",
"amount_due_in_cents": null,
"amount_paid_in_cents": 50000,
"custom_data": "Unknown Type: object,null",
"due_date": "2024-10-05T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": "2024-09-05T00:00:00.000Z",
"invoice_date": "2014-09-05T00:00:00.000Z",
"invoice_number": "cp14648",
"notes": "Move out refund",
"post_date": null,
"post_month": "2015-04-01T00:00:00.000Z",
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 87500,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": "cmhavc6z669743697761kvjgrutkpgq9",
"ap_financial_account_id": "cm4xr2ab112938475629nwqklmvbpyzj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"invoice_items": [
{
"x_id": "63a84f9142efdb89104a54ddabcd63554498c7db4e80ed82e0c1742af8de23423235",
"x_property_id": "propexo1",
"x_location_id": null,
"x_gl_account_id": "22700000",
"x_cash_financial_account_id": "11100000",
"invoice_id": "cm7j8pg9833257334651idtqhw61p5zy",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "A string of data about the invoice, generally added by the PMC",
"total_amount_in_cents": 80000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmhavc6z669743697761kvjgrutkpgq9",
"cash_financial_account_id": "cm4xr2ab112938475629nwqklmvbpyzj"
}
]
}
}